<?php
/**
 * Created by PhpStorm.
 * User: SysWork
 * Date: 14/09/2018
 * Time: 10:55 AM
 */

class Gestion extends GD_Controller
{
    private $respuesta;
    private $error_rta;

    function __construct()
    {
        parent::__construct();
        $this->auth();
        $this->load->database();
        $this->load->model('gestion_documental/gestion_model', 'bdGestion');
        $this->error_rta = GD_Controller::HTTP_OK;
    }
    public function paginar_post()
    {
        $this->load->helper('paginador_helper');
        $cmps = ['cod_radicado','fecha_radicado','asunto_unidad_documental as asunto',
            'datos_tercero_origen as dts_tercero','tipo_documental as tipo_doc',
        'ide_tipo_radicado as tipo_rad','numero_documento_radicado as nro_doc', 'nombre_unidad_adtiva_origen as nom_off_origen'
        ,'nombre_unidad_adtiva_destino as nom_off_destino','ide_tipo_radicado as tipo_rad'
        ,'nombre_funcionario_destino nom_fun_destino','nombre_funcionario_origen nom_fun_origen'];

        $nroPagina = $this->input->post('nro_pagina');
        $campoOrden = $this->input->post('cmp_orden');
        $orden = $this->input->post('orden');
        $parambus = $this->input->post('parambus');

        $filTc = $this->input->post('tiptc');
        $filTd = $this->input->post('tiptd');

        $orden = $orden == 'true' ? 'DESC' : 'ASC';
        $condicion = "activo_radicado = 'S'";

        if (!empty($filTc)) {
            $condicion .= ' and ide_tipo_radicado=' . (int)$filTc;
        }
        if (!empty($filTd)) {
            $condicion .= ' and ide_tipo_documental=' . (int)$filTd;
        }
        $data = paginar_todos('ges_unidad_documental', $cmps, null, $parambus, $condicion,
            $nroPagina, 15, $campoOrden, $orden);
        unset($data['sql']);
        $datax=[];
        foreach ($data['rows'] as $reg) {
            $reg['dts_tercero'] = json_decode($reg['dts_tercero']);
            $datax[] = $reg;

        }
        $data['rows'] = $datax;
        $this->respuesta = $data;// json_decode(json_encode($data), true);
        $this->response($this->respuesta, $this->error_rta); // OK (200) being the HTTP response code


    }
    public function saveEntrada_put()
    {
        $data = $this->put();
        $this->load->library('form_validation');
        $data['ide_tipo_radicado'] = 1;
        $data['activo_radicado'] = 'S';
        $data['nom_usuario'] = $this->certAut->data->us;

        $data['fecha_registro'] = date('YYYY-mm-dd H:m:s');
        $data['ide_anexo_a'] = null;


        $this->form_validation->set_data($data);
        if ($this->form_validation->run('gestion_put')) {

            $radicado = $this->bdRadicar->set_data($data);
            $this->respuesta = $radicado->insertEntrada();

            if ($this->respuesta['error']) {
                $this->error_rta = GD_Controller::HTTP_INTERNAL_SERVER_ERROR;
            }

        } else {
            $this->error_rta = GD_Controller::HTTP_BAD_REQUEST;
            $this->respuesta = [
                'error' => $this->form_validation->error_array(),
                'msg' => 'Hay errores en la información del formulario',
                'errores' => [],
            ];
        }

        $this->response($this->respuesta, $this->error_rta); // OK (200) being the HTTP response code
    }
}